Package org.eclipse.emf.cdo.eresource

## Interface CDOResource

- All Superinterfaces:
    `CDOObject`, `CDOResourceLeaf`, `CDOResourceNode`, `CDOWithID`, `EObject`, `Notifier`, `Resource`
  All Known Subinterfaces:
    `InternalCDOResource`
  All Known Implementing Classes:
    `CDOResourceImpl`

      public interface CDOResource
      extends CDOResourceLeaf, Resource

  A representation of the model object 'CDO Resource'.
  See Also:
    `EresourcePackage.getCDOResource()`
  Generated
  Extends
    Resource
  Model
  No Implement
    This interface is not intended to be implemented by clients.

    The following features are supported:

    - `Resource Set`
    - `URI`
    - `Contents`
    - `Modified`
    - `Loaded`
    - `Tracking Modification`
    - `Errors`
    - `Warnings`
    - `Time Stamp`
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource

      `Resource.Diagnostic, Resource.Factory, Resource.Internal, Resource.IOWrappedException`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `OPTION_SAVE_BASE_URI` |
    `static java.lang.String` | `OPTION_SAVE_OVERRIDE_TRANSACTION` |
    `static java.lang.String` | `OPTION_SAVE_PROGRESS_MONITOR` |
    `static java.lang.String` | `PREFETCH_PARAMETER` |

    - ### Fields inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

      `ROOT_NAME, ROOT_PATH`

    - ### Fields inherited from interface org.eclipse.emf.ecore.resource.Resource

      `OPTION_CIPHER, OPTION_LINE_DELIMITER, OPTION_LINE_DELIMITER_UNSPECIFIED, OPTION_SAVE_ONLY_IF_CHANGED, OPTION_SAVE_ONLY_IF_CHANGED_FILE_BUFFER, OPTION_SAVE_ONLY_IF_CHANGED_MEMORY_BUFFER, OPTION_ZIP, RESOURCE__CONTENTS, RESOURCE__ERRORS, RESOURCE__IS_LOADED, RESOURCE__IS_MODIFIED, RESOURCE__IS_TRACKING_MODIFICATION, RESOURCE__RESOURCE_SET, RESOURCE__TIME_STAMP, RESOURCE__URI, RESOURCE__WARNINGS`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EList<EObject>` | `getContents()` | Returns the value of the 'Contents' containment reference list.
    `EList<Resource.Diagnostic>` | `getErrors()` | Returns the value of the 'Errors' attribute list.
    `ResourceSet` | `getResourceSet()` | Returns the value of the 'Resource Set' attribute.
    `long` | `getTimeStamp()` | Returns the value of the 'Time Stamp' attribute.
    `URI` | `getURI()` | Returns the value of the 'URI' attribute.
    `EList<Resource.Diagnostic>` | `getWarnings()` | Returns the value of the 'Warnings' attribute list.
    `boolean` | `isExisting()` |
    `boolean` | `isLoaded()` | Returns the value of the 'Loaded' attribute.
    `boolean` | `isModified()` | Returns the value of the 'Modified' attribute.
    `boolean` | `isTrackingModification()` | Returns the value of the 'Tracking Modification' attribute.
    `void` | `setModified​(boolean value)` | Sets the value of the '`Modified`' attribute.
    `void` | `setResourceSet​(ResourceSet value)` | Sets the value of the '`Resource Set`' attribute.
    `void` | `setTimeStamp​(long value)` | Sets the value of the '`Time Stamp`' attribute.
    `void` | `setTrackingModification​(boolean value)` | Sets the value of the '`Tracking Modification`' attribute.
    `void` | `setURI​(URI value)` | Sets the value of the '`URI`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.cdo.eresource.CDOResourceNode

      `delete, getBasename, getExtension, getFolder, getName, getPath, isRoot, setBasename, setExtension, setFolder, setName, setPath, trimExtension`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.resource.Resource

      `delete, getAllContents, getEObject, getURIFragment, load, load, save, save, unload`

- - ### Field Detail

    - #### OPTION_SAVE_PROGRESS_MONITOR

          static final java.lang.String OPTION_SAVE_PROGRESS_MONITOR

      Since:
        2.0
      Added

    - #### OPTION_SAVE_OVERRIDE_TRANSACTION

          static final java.lang.String OPTION_SAVE_OVERRIDE_TRANSACTION

      Since:
        3.0
      Added

    - #### OPTION_SAVE_BASE_URI

          static final java.lang.String OPTION_SAVE_BASE_URI

      Since:
        4.0
      See Also:
        Constant Field Values
      Added

    - #### PREFETCH_PARAMETER

          static final java.lang.String PREFETCH_PARAMETER

      Since:
        4.1
      See Also:
        Constant Field Values
      Added

  - ### Method Detail

    - #### getResourceSet

          ResourceSet getResourceSet()

      Returns the value of the 'Resource Set' attribute.
      Specified by:
        `getResourceSet` in interface `Resource`
      Returns:
        the value of the 'Resource Set' attribute.
      See Also:
        `setResourceSet(ResourceSet)`, `EresourcePackage.getCDOResource_ResourceSet()`
      Generated
      Model
        dataType="org.eclipse.emf.cdo.eresource.ResourceSet" transient="true"

    - #### setResourceSet

          void setResourceSet​(ResourceSet value)

      Sets the value of the '`Resource Set`' attribute.
      Parameters:
        `value` - the new value of the 'Resource Set' attribute.
      See Also:
        `getResourceSet()`
      Generated

    - #### getURI

          URI getURI()

      Returns the value of the 'URI' attribute. The URI format is explained in `CDOURIUtil` and `CDOURIData`.
      Specified by:
        `getURI` in interface `CDOResourceNode`
      Specified by:
        `getURI` in interface `Resource`
      Returns:
        the value of the 'URI' attribute.
      See Also:
        `setURI(URI)`, `EresourcePackage.getCDOResource_URI()`
      Generated
      Model
        dataType="org.eclipse.emf.cdo.eresource.URI" transient="true" volatile="true" derived="true"

    - #### setURI

          void setURI​(URI value)

      Sets the value of the '`URI`' attribute. The URI format is explained in `CDOURIUtil` and `CDOURIData`.
      Specified by:
        `setURI` in interface `Resource`
      Parameters:
        `value` - the new value of the 'URI' attribute.
      See Also:
        `getURI()`
      Generated

    - #### getContents

          EList<EObject> getContents()

      Returns the value of the 'Contents' containment reference list. The list contents are of type `EObject`.
      Specified by:
        `getContents` in interface `Resource`
      Returns:
        the value of the 'Contents' containment reference list.
      See Also:
        `EresourcePackage.getCDOResource_Contents()`
      Generated
      Model
        containment="true"

    - #### isModified

          boolean isModified()

      Returns the value of the 'Modified' attribute.
      Specified by:
        `isModified` in interface `Resource`
      Returns:
        the value of the 'Modified' attribute.
      See Also:
        `setModified(boolean)`, `EresourcePackage.getCDOResource_Modified()`
      Generated
      Model
        transient="true"

    - #### setModified

          void setModified​(boolean value)

      Sets the value of the '`Modified`' attribute.
      Specified by:
        `setModified` in interface `Resource`
      Parameters:
        `value` - the new value of the 'Modified' attribute.
      See Also:
        `isModified()`
      Generated

    - #### isLoaded

          boolean isLoaded()

      Returns the value of the 'Loaded' attribute. The default value is `"true"`.
      Specified by:
        `isLoaded` in interface `Resource`
      Returns:
        the value of the 'Loaded' attribute.
      See Also:
        `EresourcePackage.getCDOResource_Loaded()`
      Generated
      Model
        default="true" transient="true" changeable="false" volatile="true" derived="true"

    - #### isTrackingModification

          boolean isTrackingModification()

      Returns the value of the 'Tracking Modification' attribute.
      Specified by:
        `isTrackingModification` in interface `Resource`
      Returns:
        the value of the 'Tracking Modification' attribute.
      See Also:
        `setTrackingModification(boolean)`, `EresourcePackage.getCDOResource_TrackingModification()`
      Generated
      Model
        transient="true"

    - #### setTrackingModification

          void setTrackingModification​(boolean value)

      Sets the value of the '`Tracking Modification`' attribute.
      Specified by:
        `setTrackingModification` in interface `Resource`
      Parameters:
        `value` - the new value of the 'Tracking Modification' attribute.
      See Also:
        `isTrackingModification()`
      Generated

    - #### getErrors

          EList<Resource.Diagnostic> getErrors()

      Returns the value of the 'Errors' attribute list. The list contents are of type `Resource.Diagnostic`.
      Specified by:
        `getErrors` in interface `Resource`
      Returns:
        the value of the 'Errors' attribute list.
      See Also:
        `EresourcePackage.getCDOResource_Errors()`
      Generated
      Model
        dataType="org.eclipse.emf.cdo.eresource.Diagnostic" transient="true" changeable="false" volatile="true" derived="true"

    - #### getWarnings

          EList<Resource.Diagnostic> getWarnings()

      Returns the value of the 'Warnings' attribute list. The list contents are of type `Resource.Diagnostic`.
      Specified by:
        `getWarnings` in interface `Resource`
      Returns:
        the value of the 'Warnings' attribute list.
      See Also:
        `EresourcePackage.getCDOResource_Warnings()`
      Generated
      Model
        dataType="org.eclipse.emf.cdo.eresource.Diagnostic" transient="true" changeable="false" volatile="true" derived="true"

    - #### getTimeStamp

          long getTimeStamp()

      Returns the value of the 'Time Stamp' attribute.
      Specified by:
        `getTimeStamp` in interface `Resource`
      Returns:
        the value of the 'Time Stamp' attribute.
      See Also:
        `setTimeStamp(long)`, `EresourcePackage.getCDOResource_TimeStamp()`
      Generated
      Model
        transient="true"

    - #### setTimeStamp

          void setTimeStamp​(long value)

      Sets the value of the '`Time Stamp`' attribute.
      Specified by:
        `setTimeStamp` in interface `Resource`
      Parameters:
        `value` - the new value of the 'Time Stamp' attribute.
      See Also:
        `getTimeStamp()`
      Generated

    - #### isExisting

          boolean isExisting()

      Since:
        2.0
      Added